Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001773Double CommanderDefaultpublic2017-03-18 15:012017-04-09 08:12
Reportercordylus 
Assigned ToAlexx2000 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionopen 
ProjectionnoneETAnone 
PlatformOSOS Version
Product Version0.7.8Product Build 
Target VersionFixed in Version0.8.0 
Summary0001773: 7z packing not started due to Not enough memory creates a malformed archive that prevents repeating the operation
DescriptionУпаковка 7z, недосточно памяти.
Если целевой файл архива уже был, а производилось его обновление, то после ошибки ничего не меняется.
Если файла не было, то создается битый файл размером 32 байта (сигнатура, затем 00, 04, дальше нули). С таким битым файлом повторное архивирование в то же место невозможно до удаления файла (видимо, пытается добавить к этому архиву) - выдаёт Archive format unknown. Не работает также Configure, наверное пытается прочитать из него настройки.
При попытке архивации в таких условиях через родной 7zFM подобный файл не создается.
Additional InformationВ окне ошибки "Error: Pack to file ... - Not enough memory" доступны опции Skip и Abort, результат у них одинаковый. Предпочтительнее было бы Retry, Cancel. В случае Archive format unknown предлагается только OK.

Еще было бы неплохо возвращаться к окну архивации после любой из таких "стартовых" ошибок, чтобы не вводить путь и устанавливать настройки потом заново.
TagsNo tags attached.
Fixed in Revision7490
Operating system
Widgetset
Architecture
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-03-18 15:01 cordylus New Issue
2017-04-08 21:35 Alexx2000 Fixed in Revision => 7490
2017-04-08 21:35 Alexx2000 Assigned To => Alexx2000
2017-04-08 21:35 Alexx2000 Status new => acknowledged
2017-04-09 08:12 Alexx2000 Fixed in Version => 0.8.0
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker